<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <nav>
        <ul>
            <li>
                <a href="#">Домой</a>
            </li>
            <li>
                <a href="#">Статьи</a>
            </li>
            <li>
                <a href="#">Магазин</a>
            </li>
            <li>
                <a href="#">Кабинет</a>
            </li>
        </ul>


    </nav>
    <header>
        <h1>Костыльно-Ориентированное Программирование</h1>
       <ol>
        <li>Костылирование.</li>
        <li>Инкостыляция.</li>
        <li>Поликостылизм.</li>
       </ol>
    </header>
    <section>
        <div>
            <h2>Костылирование</h2>
        </div>
        <div>
            <p>Создание костылей, позволяющее описать новый костыль на основе уже существующего с частично
                или полностью заимствующимися ошибками. Костыль, от которого производится наследование,
                называется базовым, родительским или суперкостылем. Новый костыль — потомком, наследником
                или производным.</p>
        </div>
    </section>
    <section>
        <div>
            <h2>Инкостыляция</h2>
        </div>
        <div>
            <p>Свойство костылей, позволяющее объединить фиксы и заплатки, работающие с ними в классе, и
                скрыть детали реализации от понимания.</p>
        </div>
    </section>
    <section>
        <div>
            <h2>Поликостылизм</h2>
        </div>
        <div>
            <p>Свойство разработчиков использовать костыли с одинаковым интерфейсом без информации о типе
                и внутренней структуре костыля.</p>
        </div>
    </section>
    <footer>
        <p>Ну і добре!</p>
    </footer>

</body>
</html>